#include "mbed.h"
#include "max32630fthr.h"

MAX32630FTHR pegasus(MAX32630FTHR::VIO_3V3);
Serial daplink(P2_1, P2_0);
SPI spi(P5_1, P5_2, P5_0);

int main()
{
    int i, r;
    
    daplink.baud(115200);
    spi.format(8, 1);
    
    while (1) {
        for (i=0; i<256; i++) {
            spi.lock();
            r = spi.write(i);
            spi.unlock();
            if (i != r) daplink.printf("0x%2x : 0x%2x\n\r", i, r);
        }
        wait(5.0f);
    }
}